<html>
<head>
<title>Ogre::ResourceGroupManager::ResourceDeclaration Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ResourceGroupManager.html">ResourceGroupManager</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html">ResourceDeclaration</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ResourceGroupManager::ResourceDeclaration Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ResourceGroupManager::ResourceDeclaration" -->
<p>Nested struct defining a resource declaration.  
 <a href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>&gt;</code></p>

<p><a href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#ae2e29633ab1798c3f99151618b963d73">resourceName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#aae401b65d364881e950953a3a15e2977">resourceType</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#a9322aeaf8777145d9fb4d71d30d133f3">loader</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#af4c80eff88505c4aa6a24fedb7411c56">parameters</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Nested struct defining a resource declaration. </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00265">265</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a9322aeaf8777145d9fb4d71d30d133f3"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceDeclaration::loader" ref="a9322aeaf8777145d9fb4d71d30d133f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a>* <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#a9322aeaf8777145d9fb4d71d30d133f3">Ogre::ResourceGroupManager::ResourceDeclaration::loader</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00269">269</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="af4c80eff88505c4aa6a24fedb7411c56"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceDeclaration::parameters" ref="af4c80eff88505c4aa6a24fedb7411c56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19">NameValuePairList</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#af4c80eff88505c4aa6a24fedb7411c56">Ogre::ResourceGroupManager::ResourceDeclaration::parameters</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00270">270</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae2e29633ab1798c3f99151618b963d73"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceDeclaration::resourceName" ref="ae2e29633ab1798c3f99151618b963d73" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#ae2e29633ab1798c3f99151618b963d73">Ogre::ResourceGroupManager::ResourceDeclaration::resourceName</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00267">267</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="aae401b65d364881e950953a3a15e2977"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceDeclaration::resourceType" ref="aae401b65d364881e950953a3a15e2977" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceDeclaration.html#aae401b65d364881e950953a3a15e2977">Ogre::ResourceGroupManager::ResourceDeclaration::resourceType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00268">268</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
